SystemOrganization addCategory: #'GT-InspectorExtensions-DBXDatabaseModel'!

!DBXConnection methodsFor: '*GT-InspectorExtensions-DBXDatabaseModel' stamp: 'TudorGirba 3/13/2014 08:54'!
gtInspectorSchemasExecutorIn: composite
	<gtInspectorPresentationOrder: 50>
	composite list
		title: 'Schemas';
		display: [ self schemas ];
		format: [ :each | each value name ]! !

!DBXTable methodsFor: '*GT-InspectorExtensions-DBXDatabaseModel' stamp: 'TudorGirba 3/13/2014 14:58'!
gtInspectorColumnsIn: composite inContext: anInspector
	<gtInspectorPresentationOrder: 40>

	composite table
		title: 'Columns';
		display: [ self columns ];
		column: 'Name' evaluated: [ :each | each name ];
		column: 'Type' evaluated: [ :each | each type typeName ]! !

!DBXSchema methodsFor: '*GT-InspectorExtensions-DBXDatabaseModel' stamp: 'TudorGirba 5/30/2014 14:29'!
gtInspectorTablesIn: composite inContext: anInspector
	<gtInspectorPresentationOrder: 40>

	| dbxConnection |
	(anInspector entities do: [ :object | 
		(object isKindOf: DBXConnection) 
			ifTrue: [dbxConnection := object ]]).
	composite list 
		title: 'Tables';
		display: [ dbxConnection tablesDescriptionForSchema: self name ];
		format: #name;
		when: [ dbxConnection notNil ]! !
